[PC-BSD Commits] r5978 - in pbibuild/modules/emulators/virtualbox: . kmenu-dir overlay-dir

svn at pcbsd.org svn at pcbsd.org
Tue Jan 12 08:31:32 PST 2010


Author: kris
Date: 2010-01-12 08:31:32 -0800 (Tue, 12 Jan 2010)
New Revision: 5978

Removed:
   pbibuild/modules/emulators/virtualbox/kmenu-dir/VBoxManage
   pbibuild/modules/emulators/virtualbox/overlay-dir/bin/
Modified:
   pbibuild/modules/emulators/virtualbox/kmenu-dir/VirtualBox
   pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/emulators/virtualbox/pbi.conf
Log:

Updated VirtualBox module, should be able to run in user mode now, don't need to run kdesu



Modified: pbibuild/modules/emulators/virtualbox/kmenu-dir/VirtualBox
===================================================================
--- pbibuild/modules/emulators/virtualbox/kmenu-dir/VirtualBox	2010-01-12 16:12:17 UTC (rev 5977)
+++ pbibuild/modules/emulators/virtualbox/kmenu-dir/VirtualBox	2010-01-12 16:31:32 UTC (rev 5978)
@@ -3,7 +3,7 @@
 ExeDescr: VirtualBox
 ExeNoDesktop: 0
 ExeNoMenu: 0
-ExeRunRoot: 1
+ExeRunRoot: 0
 ExeRunShell: 0
 ExeNotify: 1
 ExeLink: 0

Modified: pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.RemoveScript.sh	2010-01-12 16:12:17 UTC (rev 5977)
+++ pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.RemoveScript.sh	2010-01-12 16:31:32 UTC (rev 5978)
@@ -15,4 +15,12 @@
 cat /boot/loader.conf | grep -v "vboxdrv_load" > /tmp/loader.conf
 mv /tmp/loader.conf /boot/loader.conf
 
+rm /Programs/bin/VBoxBFE
+rm /Programs/bin/VBoxHeadless
 rm /Programs/bin/VBoxManage
+rm /Programs/bin/VBoxNetAdpCtl
+rm /Programs/bin/VBoxNetDHCP
+rm /Programs/bin/VBoxSDL
+rm /Programs/bin/VBoxSVC
+rm /Programs/bin/VBoxXPCOMIPCD
+

Modified: pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.SetupScript.sh	2010-01-12 16:12:17 UTC (rev 5977)
+++ pbibuild/modules/emulators/virtualbox/overlay-dir/PBI.SetupScript.sh	2010-01-12 16:31:32 UTC (rev 5978)
@@ -14,10 +14,7 @@
 
 # Link the kernel module and load it and load aio as well
 cp /Programs/${PROGDIR}/modules/vboxdrv.ko /boot/modules/vboxdrv.ko
-# Don't load driver now, causes crashes in X
-#kldload /boot/modules/vboxdrv.ko
 
-ln -fs /Programs/${PROGDIR}/bin/VBoxManage /Programs/bin/VBoxManage
 
 # Save the kernel module to load at bootup
 cp /boot/loader.conf /boot/loader.conf.orig
@@ -40,4 +37,43 @@
   fi
 fi
 
-kdialog --msgbox "Please reboot before running VirtualBox" --title "VirtualBox Installer"
+
+# Set the permissions / groups correct for VB binaries
+cd /Programs/${PROGDIR}/lib/virtualbox
+chmod 4511 VBoxNetAdpCtl
+chmod 4511 VBoxNetDHCP
+chmod 4511 VBoxSDL
+chmod 4511 VBoxHeadless
+chmod 4511 VBoxTestOGL
+chmod 4511 VirtualBox
+chmod 0711 VBoxManage
+chmod 0711 VBoxSVC
+chmod 0711 VBoxXPCOMIPCD
+chown root:vboxusers VBoxManage
+chown root:vboxusers VBoxNetDHCP
+chown root:vboxusers VBoxSVC
+chown root:vboxusers VBoxXPCOMIPCD
+chown root:vboxusers VirtualBox
+chown root:vboxusers VBoxSDL
+chown root:vboxusers VBoxHeadless
+chown root:vboxusers VBoxTestOGL
+
+# Create our PATH links
+ln -fs /Programs/${PROGDIR}/bin/VBoxBFE /Programs/bin/VBoxBFE
+ln -fs /Programs/${PROGDIR}/bin/VBoxHeadless /Programs/bin/VBoxHeadless
+ln -fs /Programs/${PROGDIR}/bin/VBoxManage /Programs/bin/VBoxManage
+ln -fs /Programs/${PROGDIR}/bin/VBoxNetAdpCtl /Programs/bin/VBoxNetAdpCtl
+ln -fs /Programs/${PROGDIR}/bin/VBoxNetDHCP /Programs/bin/VBoxNetDHCP
+ln -fs /Programs/${PROGDIR}/bin/VBoxSDL /Programs/bin/VBoxSDL
+ln -fs /Programs/${PROGDIR}/bin/VBoxSVC /Programs/bin/VBoxSVC
+ln -fs /Programs/${PROGDIR}/bin/VBoxXPCOMIPCD /Programs/bin/VBoxXPCOMIPCD
+
+uname -r | grep '8\.' >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+  # If on 8.x, load the module now
+  kldload /boot/modules/vboxdrv.ko
+else
+  # Seeing kernel panics when loading module on 7.x, needs to load at boot
+  kdialog --msgbox "Please reboot before running VirtualBox" --title "VirtualBox Installer"
+fi

Modified: pbibuild/modules/emulators/virtualbox/pbi.conf
===================================================================
--- pbibuild/modules/emulators/virtualbox/pbi.conf	2010-01-12 16:12:17 UTC (rev 5977)
+++ pbibuild/modules/emulators/virtualbox/pbi.conf	2010-01-12 16:31:32 UTC (rev 5978)
@@ -35,7 +35,7 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="19"
+BUILDKEY="01"
 
 # By default we prune the python files used for building,
 # Set this to NO to keep any python files in the resulting PBI



More information about the Commits mailing list